Page MenuHomePhabricator

spec out linked data interface for wikidata ontology
Closed, ResolvedPublic

Description

The RDF representation of wikibase entities is based on the wikibase ontology and data type vocabulary. We need to spec out the URIs for these, and come up with a way to resolve these URIs to useful machine readable definitions as well as human readable documentation.


Version: unspecified
Severity: normal
URL: https://meta.wikimedia.org/wiki/Wikidata/Development/RDF

Details

Reference
bz44582

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:28 AM
bzimport set Reference to bz44582.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Feb 1 2013, 11:47 AM
daniel added a comment.Jul 3 2013, 1:20 PM

Most of this has been implemented according to https://meta.wikimedia.org/wiki/Wikidata/Notes/URI_scheme

Most importantly, https://www.wikidata.org/entity/Q12345 generates a redirect to https://www.wikidata.org/wiki/Special:EntityData/Q12345.rdf, based on the Accept header.

The URI for the ontology itself is specified, but not deployed yet, see Bug 47656.

The one open issue was just resolved in a discussion with Denny: URIs for data types should be handled like URIs for entities, Special:EntityData should return information about data types using pseudo-entity-ID: Special:EntityData/DataType/time(.rdf) would return information about the time data-type, so the respective URI would be https://www.wikidata.org/entity/DataType/time(.rdf)

Verified in Wikidata demo time July 17th